@import url("https://fonts.googleapis.com/css2?family=Ibarra+Real+Nova:ital,wght@0,400..700;1,400..700&family=Imperial+Script&display=swap");

/* -------------- ROOT VARIABLES -------------- */
:root {
	--background: #f9f1e7;
	--background-second: #fffbf6;
	--text-color: #fff;
	--text-color-2:#7e4847;
	--text-color-3: #6c757d;
	--grey: #ccc;
	--blue: #97a6d0;
	--shadow: 0 2px 2px rgba(0, 0, 0, 0.5);
}

body {
	font-size: 1.2rem;
	font-family: "Ibarra Real Nova", serif;
	min-height: 4000px;
}

.hero {
	min-height: 100vh;
	color: var(--text-color);
}

.hero::after {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100vh;
	background-color: black;
	opacity: 0.7;
}

iframe {
	position: absolute;
	width: 100%;
	height: auto;
	min-height: 100vh;
	top: 0;
	z-index: -1;
	object-fit: cover;
	/* filter: opacity(50%); */
}

.hero video{
	width: 100%;
	height: 100vh;
	position: absolute;
	object-fit: cover;
	z-index: -1;
}

.hero main{
	z-index: 99;
	position: relative;
}

.hero img {
	width: 100%;
	max-width: 170px;
	margin-bottom: 40px;
}

.hero h1 {
	font-family: "Imperial Script", serif;
	font-size: 10rem;
	text-shadow: var(--shadow);
}

.hero h3 {
	font-size: 2rem;
	text-shadow: var(--shadow);
}

.hero h4 {
	font-size: 1.2rem;
	position: relative;
	text-shadow: var(--shadow);
}

.hero h4::before {
	content: "";
	position: absolute;
	bottom: 0;
	left: 120px;
	right: 0;
	height: 0.5em;
	width: 100px;
	border-top: 2px solid var(--text-color);
}

.hero h4::after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 450px;
	right: 0;
	height: 0.5em;
	width: 100px;
	border-top: 2px solid var(--text-color);
}

.hero p {
	font-size: 1.4rem;
	text-shadow: var(--shadow);
}

.hero a {
	color: var(--text-color);
	border-radius: 10px;
	border: solid var(--text-color) 1px;
	box-shadow: var(--shadow);
  backdrop-filter: blur(10px);
}

.hero a:hover {
	border: solid var(--grey) 1px;
	color: var(--grey);
}

.mynavbar{
	background-color: rgba(255, 255, 255, 0.3) !important;
	backdrop-filter: blur(4px);
}

.mynavbar .offcanvas{
	height: 100vh;
}

.mynavbar .navbar-brand,
.mynavbar .offcanvas-title{
	font-family: "Imperial Script", serif;
	font-size: 2.5rem;
	font-weight: bolder;
	color: var(--text-color-2);
}

.mynavbar .nav-link{
	font-weight: 500;
	color: var(--text-color-2);
}

.home{
	background-image: url(../img/elements/bg-1.png);
	background-size: cover;
	background-position: center;
	background-color: var(--background);
	min-height: 100vh;
	margin-top: -5rem;
	padding-top: 10rem;
	padding-bottom: 5rem;
}

.home .img-home{
	width: 100%;
}

.home .info{
	padding: 2rem;
}

.home p{
	text-transform: uppercase;
	font-size: 1.2rem;
	font-weight: bold;
	color: var(--text-color-3);
}

.home h1{
	font-family: "Imperial Script", serif;
	font-size: 5rem;
	color: var(--text-color-2);
}

.home .icon-home{
	width: 100%;
	max-width: 100px;
	padding-bottom: 1rem;
}

.home h4{
	font-size: 3rem;
	padding-bottom: .5rem;
	text-transform: uppercase;
}

.home .col-md-8{
	position: relative;
}

.home .col-md-8::before{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 95%;
	width: 95%;
	align-self: center;
	margin: auto;
	position: absolute;
}

.home .col-md-8::after{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 95%;
	width: 95%;
	align-self: center;
	margin: auto;
	position: absolute;
	transform: rotate(1deg);
}

.title-section{
	font-family: "Imperial Script", serif;
	font-size: 5rem;
	color: var(--text-color-2);
	position: relative;
	margin-bottom: 3rem;
}

.groombride{
	background-image: url(../img/elements/bg-2.png);
	background-size: cover;
	background-position: center;
	background-color: var(--background-second);
	min-height: 100vh;
	padding-top: 12rem;
	padding-bottom: 17rem;
}

.groombride .title-section::before{
	content: 'Kedua Mempelai';
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	align-self: center;
	z-index: 0;
	font-size: 6rem;
	font-family: "Ibarra Real Nova", serif;
	font-weight: 600;
	color: var(--text-color-3);
	opacity: 10%;
}

.groombride .verses{
	padding-bottom: 1rem;
}

.groombride .verses p.title-verses{
	font-size: 1.8rem;
}

.groombride .verses p.body-verses{
	font-size: 1.3rem;
}

.groombride img{
	width: 200px;
  height: 200px;
  border-radius: 50%;
  overflow: hidden;
	margin-bottom: 2rem;
	margin-top: -1.7rem;
	position: relative;
	z-index: 1;
}

.groombride h3{
	font-size: 2.5rem;
	margin-bottom: 10px;
}

.groombride p{
	font-size: 1.3rem;
}

.groombride .col-md-6{
	position: relative;
	padding: 2rem;
}

.groombride .col-md-6::before{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 95%;
	width: 95%;
	align-self: center;
	margin: auto;
	position: absolute;
}

.groombride .col-md-6::after{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 95%;
	width: 95%;
	align-self: center;
	margin: auto;
	position: absolute;
	transform: rotate(1deg);
}

.lovestory{
	background-image: url(../img/elements/bg-3.png);
	background-size:cover;
	background-position: center;
	background-color: var(--background);
	min-height: 100vh;
	padding-top: 13rem;
	padding-bottom: 12rem;
}

.lovestory .title-section::before{
	content: 'Cerita Kami';
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	align-self: center;
	z-index: 0;
	font-size: 6rem;
	font-family: "Ibarra Real Nova", serif;
	font-weight: 600;
	color: var(--text-color-3);
	opacity: 10%;
}

.timeline{
	list-style: none;
	padding: 1.4rem 0;
	margin-top: 1rem;
	position: relative;
}

.timeline::before{
	content: '';
	top: 0;
	bottom: 0;
	position: absolute;
	width: 1px;
	background-color: var(--grey);
	left: 50%;
}

.timeline li{
	margin-bottom: 1.5rem;
	position: relative;
}

.timeline li::before,
.timeline li::after{
	content: '';
	display: table;
}

.timeline li::after{
	clear: both;
}

.timeline li .timeline-image{
	width: 120px;
	height: 120px;
	background-color: var(--grey);
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
	border-radius: 50%;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	border: 5px solid var(--blue);
	z-index: 1;
}

.timeline li .timeline-panel{
	width: 40%;
	float: left;
	border: solid 1px var(--grey);
	padding: 2rem;
	position: relative;
	text-align: end;
}

.timeline li .timeline-panel::after{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 100%;
	width: 100%;
	align-self: center;
	margin: auto;
	position: absolute;
	transform: rotate(2deg);
}

.timeline li .timeline-panel .timeline-heading span{
	color: var(--text-color-2);
	text-transform: uppercase;
	font-weight: bold;
	font-size: 1rem;
}

.timeline li .timeline-panel .timeline-heading h3{
	text-transform: uppercase;
	font-weight: bold;
	font-size: 1.5rem;
}

.timeline li .timeline-panel .timeline-body p{
	color: var(--text-color-3);
}

.timeline li.timeline-inverted .timeline-panel{
	float: right;
	text-align: start;
}

.placetime{
	background-image: url(../img/elements/bg-4.png);
	background-size:cover;
	background-position: center;
	background-color: var(--background-second);
	min-height: 100vh;
	padding-top: 14rem;
	padding-bottom: 10rem;
}

.placetime .title-section::before{
	content: 'Waktu & Tempat';
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	align-self: center;
	z-index: 0;
	font-size: 6rem;
	font-family: "Ibarra Real Nova", serif;
	font-weight: 600;
	color: var(--text-color-3);
	opacity: 10%;
}

.placetime span{
	font-size: 5rem;
	color: var(--text-color-2);
	margin-bottom: 1.5rem;
}

.placetime h4{
	font-size: 2rem;
	margin-bottom: 20px;
}

.placetime p{
	font-size: 1.3rem;
	color: var(--text-color-3);
}

.placetime a{
	position: relative;
	z-index: 1;
	border: solid 1px var(--text-color-2);
	color: var(--text-color-2);
}

.placetime a:hover{
	border: solid 1px var(--text-color-2);
	background-color: var(--text-color-2);
	color: var(--background-second);
}

.placetime .col-md-6{
	position: relative;
	padding: 2rem;
	z-index: 1;
}

.placetime .col-md-6::before{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 95%;
	width: 95%;
	align-self: center;
	margin: auto;
	position: absolute;
}

.placetime .col-md-6::after{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 95%;
	width: 95%;
	align-self: center;
	margin: auto;
	position: absolute;
	transform: rotate(1deg);
}

.rsvp{
	background-image: url(../img/elements/bg-5.png);
	background-size:cover;
	background-position: center;
	background-color: var(--background);
	min-height: 100vh;
	padding-top: 25rem;
	padding-bottom: 15rem;
}

.rsvp .title-section::before{
	content: 'RSVP';
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	align-self: center;
	z-index: 0;
	font-size: 6rem;
	font-family: "Ibarra Real Nova", serif;
	font-weight: 600;
	color: var(--text-color-3);
	opacity: 10%;
}

.rsvp .rsvp-panel{
	position: relative;
	padding: 3rem;
}

.rsvp .rsvp-panel::before{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 95%;
	width: 95%;
	align-self: center;
	margin: auto;
	position: absolute;
}

.rsvp .rsvp-panel::after{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 95%;
	width: 95%;
	align-self: center;
	margin: auto;
	position: absolute;
	transform: rotate(1deg);
}

.rsvp .rsvp-form,
.rsvp .rsvp-msg{
	position: relative;
	z-index: 1;
}

.rsvp .rsvp-form input[type=text],
.rsvp .rsvp-form input[type=email],
.rsvp .rsvp-form select,
.rsvp .rsvp-form textarea{
	border: solid 1px var(--text-color-2);
	background-color: var(--background);
	/* color: var(--text-color-2); */
}

.rsvp .rsvp-form button{
	background-color: var(--text-color-2);
	border: none;
	width: 150px;
	height: 60px;
	border-radius: 30px;
}

.rsvp .rsvp-wishes {
	background-color: var(--text-color-2);
	border-radius: 25px;
	max-height: 500px;
	overflow-y: auto;
	padding: 15px;
	height: auto;
}

.rsvp .rsvp-wishes div.wishes {
	background-color: var(--background);
	border-radius: 15px;
	padding: 1rem;
	margin-bottom: 1rem;
}

.rsvp .rsvp-wishes span {
	font-size: 1.5rem;
	font-weight: 600;
}

.rsvp .rsvp-wishes p {
	font-size: 1.1rem;
	font-weight: 400;
}

.rsvp .gift-panel{
	position: relative;
	margin-top: 5rem;
	padding: 4rem;
}

.rsvp .gift-panel span{
	font-size: 5rem;
	color: var(--text-color-2);
}

.rsvp .gift-panel h4{
	font-size: 3rem;
}

.rsvp .gift-panel p{
	font-size: 1.3rem;
	color: var(--text-color-3);
}

.rsvp .gift-panel img{
	width: 10rem;
	margin-top: 1rem;
	margin-bottom: 1.5rem;
}

.rsvp .gift-panel button{
	position: relative;
	color: var(--text-color-2);
	border: solid 1px var(--text-color-2);
	z-index: 1;
}

.rsvp .gift-panel button:hover{
	color: var(--background);
	border: solid 1px var(--text-color-2);
	background-color: var(--text-color-2);
}

.rsvp .gift-panel::before{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 95%;
	width: 95%;
	align-self: center;
	margin: auto;
	position: absolute;
}

.rsvp .gift-panel::after{
	content: '';
	border: solid var(--grey) .3px;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	height: 95%;
	width: 95%;
	align-self: center;
	margin: auto;
	position: absolute;
	transform: rotate(1deg);
}

.gallery{
	background-image: url(../img/elements/bg-6.png);
	background-size:cover;
	background-position: center;
	background-color: var(--background-second);
	min-height: 100vh;
	padding-top: 5rem;
	padding-bottom: 15rem;
}

.gallery .title-section::before{
	content: 'Galeri';
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	align-self: center;
	z-index: 0;
	font-size: 6rem;
	font-family: "Ibarra Real Nova", serif;
	font-weight: 600;
	color: var(--text-color-3);
	opacity: 10%;
}

footer{
	padding: 3rem;
	background-color: var(--blue);
	color: #fff;
}

footer a{
	color: #ffc8dd;
	font-weight: bold;
	text-decoration: none;
}

/* Media Query */
/*? Laptop ?*/
@media (max-width: 992px) {
	html {
		font-size: 70%;
	}

	.hero img {
		max-width: 120px;
	}

	.hero h4::before {
		left: 100px;
		width: 80px;
	}

	.hero h4::after {
		left: 320px;
		width: 80px;
	}
	
	.home{
		padding-top: 12rem;
	}
	
	.home p{
		font-size: .9rem;
	}
	
	.home h1{
		font-size: 3rem;
	}
	
	.home .icon-home{
		max-width: 50px;
	}
	
	.home h4{
		font-size: 1.7rem;
	}

	.groombride{
		padding: 16rem 0 20rem 0;
	}

	.lovestory{
		padding: 12rem 0 15rem 0;
	}

	.placetime{
		padding-top: 16rem;
	}

	.rsvp{
		padding-top: 15rem;
	}

	.gallery{
		padding-top: 8rem;
	}

	.timeline::before{
		left: 60px;
	}

	.timeline li .timeline-image{
		left: 15px;
		margin-left: 45px;
		top: 16px;
	}

	.timeline li .timeline-panel{
		width: calc((100% - 200px));
		float: right;
		text-align: start;
	}
}
/*? Tablet ?*/
@media (max-width: 768px) {
	html {
		font-size: 65%;
	}

	.hero img {
		max-width: 100px;
	}

	.hero h4::before {
		left: 100px;
		width: 60px;
	}

	.hero h4::after {
		left: 280px;
		width: 60px;
	}

	.mynavbar .nav-link{
		font-size: 2rem;
	}

	.sticky-top{
		overflow: hidden;
	}
	
	.home{
		padding: 5rem 2rem 33rem 2rem;
	}

	.groombride{
		padding: 22rem 2rem 30rem 2rem;
	}

	.lovestory{
		padding: 15rem 0 15rem 0;
	}

	.placetime{
		padding-top: 22rem;
	}

	.rsvp{
		padding-top: 15rem;
	}

	.gallery{
		padding-top: 8rem;
	}

	.timeline li .timeline-image{
		width: 100px;
		height: 100px;
	}

	.timeline li .timeline-panel{
		width: 70%;
		transform: translateX(-20px);
	}
}
/*? Mobile ?*/
@media (max-width: 576px) {
	html {
		font-size: 60%;
	}

	.hero img {
		max-width: 80px;
	}

	.hero h4::before {
		left: 100px;
		width: 50px;
	}

	.hero h4::after {
		left: 250px;
		width: 50px;
	}

	.home{
		padding: 5rem 2rem 30rem 2rem;
	}

	.groombride{
		padding: 25rem 2rem 35rem 2rem;
	}

	.lovestory{
		padding-top: 13rem;
	}

	.placetime{
		padding-top: 20rem;
	}

	.rsvp{
		padding-top: 30rem;
	}

	.rsvp .rsvp-form button{
		width: 60px;
		height: 30px;
	}

	.gallery{
		padding-top: 35rem;
	}

	.timeline::before{
		width: 0;
	}

	.timeline li .timeline-image{
		width: 80px;
		height: 80px;
	}

	.timeline li .timeline-panel{
		width: 70%;
		transform: translateX(-20px);
	}
}

@media (max-width: 426px) {
	html {
		font-size: 50%;
	}

	.hero h4::before {
		bottom: 20px;
		left: 50%;
		margin-left: -17px;
		width: 40px;
	}

	.hero h4::after {
		top: 20px;
		left: 50%;
		margin-left: -17px;
		width: 40px;
	}

	.hero a {
		font-size: 180%;
	}

	.simply-countdown > .simply-section .simply-amount {
		font-size: 160%;
	}

	.simply-countdown > .simply-section .simply-word {
		font-size: 90%;
	}

	.timeline{
		padding-bottom: 10rem;
	}

	.timeline li .timeline-panel{
		width: 70%;
		transform: translateX(-20px);
	}
}
